import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutPageSectionOneCmsDto } from "./dto/update-about-page-section-one-cms.dto";
import { AboutPageSectionOneCmsEntity } from "./entities/about-page-section-one-cms.entity";

@EntityRepository(AboutPageSectionOneCmsEntity)
export class AboutPageSectionOneCmsRepository extends Repository<AboutPageSectionOneCmsEntity> {

    async createEntity(dto: UpdateAboutPageSectionOneCmsDto): Promise<AboutPageSectionOneCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                descriptionOne: dto.descriptionOne,
                descriptionTwo: dto.descriptionTwo
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageSectionOneCmsDto, id: string): Promise<AboutPageSectionOneCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                descriptionOne: dto.descriptionOne,
                descriptionTwo: dto.descriptionTwo
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageSectionOneCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}