import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionFourCmsDto } from "./dto/update-home-page-section-four-cms.dto";
import { HomePageSectionFourCms } from "./entities/home-page-section-four-cms.entity";

@EntityRepository(HomePageSectionFourCms)
export class HomePageSectionFourCmsRepository extends Repository<HomePageSectionFourCms> {

    async createEntity(dto: UpdateHomePageSectionFourCmsDto): Promise<HomePageSectionFourCms | Error> {
        try {
            const entity = this.create({
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                subTitle: dto.subTitle,
                sliderButtonText: dto.sliderButtonText,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                // isDefault: dto.isDefault
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageSectionFourCmsDto, id: string): Promise<HomePageSectionFourCms | Error> {
        try {
            await this.update(id, {
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                subTitle: dto.subTitle,
                sliderButtonText: dto.sliderButtonText,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                // isDefault: dto.isDefault
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionFourCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }

    async findByStateCode(stateCode: string): Promise<any | Error> {
        try {
            let data = await this.find({
                // stateCode: stateCode,
                isDeleted: false
            })
            // if(Object.keys(data).length === 0) {
            //     data = await this.find({
            //         isDefault: true,
            //         isDeleted: false
            //     });
            //     if(Object.keys(data).length === 0) {
            //         data = await this.find({
            //             isDeleted: false
            //         });
            //     }
            // }
            return data;
        } catch (e) {
            return e;
        }
    }
}