import { EntityRepository, Repository } from "typeorm";
import { RegisterPageCmsDto } from "./dto/register-page-cms.dto";
import { RegisterPageCms } from "./entities/register-page-cms.entity";

@EntityRepository(RegisterPageCms)
export class RegisterPageCmsRepository extends Repository<RegisterPageCms> {

    async createEntity(dto: RegisterPageCmsDto): Promise<RegisterPageCms | Error> {
        try {
            const entity = this.create(dto);
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: RegisterPageCmsDto, id: string): Promise<RegisterPageCms | Error> {
        try {
            await this.update(id, dto);
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RegisterPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}