import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { TermsOfServiceCmsService } from "./terms-of-service-cms.service";
import { UpdateTermsOfServiceCmsDto } from "./dto/update-terms-of-service-cms.dto";

@Controller({ path: "terms-of-service-cms", version: Constants.API_VERSION_1 })

export class TermsOfServiceCmsController {
    constructor(private readonly service: TermsOfServiceCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateTermsOfServiceCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
