import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { BenefitsSectionLearnMoreController } from "./benefits-section-learn-more.controller";
import { BenefitsSectionLearnMoreRepository } from "./benefits-section-learn-more.repository";
import { BenefitsSectionLearnMoreService } from "./benefits-section-learn-more.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BenefitsSectionLearnMoreRepository])
    ],
    controllers: [BenefitsSectionLearnMoreController],
    providers: [BenefitsSectionLearnMoreService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class BenefitsSectionLearnMoreModule {
}
