import { EntityRepository, Repository } from "typeorm";
import { UpdateCareerDetailsPageUiDto } from "./dto/update-career-details-page-ui.dto";
import { CareerDetailsPageUI } from "./entities/career-details-page-ui.entity";

@EntityRepository(CareerDetailsPageUI)
export class CareerDetailsPageUiRepository extends Repository<CareerDetailsPageUI> {

    async createEntity(dto: UpdateCareerDetailsPageUiDto): Promise<CareerDetailsPageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCareerDetailsPageUiDto, id: string): Promise<CareerDetailsPageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CareerDetailsPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}