import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { JarsPlusPageUiService } from "./jars-plus-page-ui.service";
import { UpdateJarsPlusPageUiDto } from "./dto/update-jars-plus-page-ui.dto";

@Controller({ path: "jars-plus-component-ui", version: Constants.API_VERSION_1 })

export class JarsPlusPageUiController {
    constructor(private readonly service: JarsPlusPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateJarsPlusPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
