import { EntityRepository, Repository } from "typeorm";
import { UpdateStayEnlightenedUiDto } from "./dto/update-stay-enlightened-ui.dto";
import { StayEnlightenedUI } from "./entities/stay-enlightened-ui.entity";

@EntityRepository(StayEnlightenedUI)
export class StayEnlightenedUiRepository extends Repository<StayEnlightenedUI> {

    async createEntity(dto: UpdateStayEnlightenedUiDto): Promise<StayEnlightenedUI | Error> {
        try {
            const entity = this.create({
                stayEnlightenedBackgorundColor: dto.stayEnlightenedBackgorundColor,
                stayEnlightenedTitleFontColor: dto.stayEnlightenedTitleFontColor,
                stayEnlightenedSubTitleFontColor: dto.stayEnlightenedSubTitleFontColor,
                stayEnlightenedButtonColor: dto.stayEnlightenedButtonColor,
                stayEnlightenedButtonTextFontColor: dto.stayEnlightenedButtonTextFontColor,
                stayEnlightenedInputBackgroundColor: dto.stayEnlightenedInputBackgroundColor,
                stayEnlightenedInputBorderColor: dto.stayEnlightenedInputBorderColor,
                stayEnlightenedInputTextColor: dto.stayEnlightenedInputTextColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateStayEnlightenedUiDto, id: string): Promise<StayEnlightenedUI | Error> {
        try {
            await this.update(id, {
                stayEnlightenedBackgorundColor: dto.stayEnlightenedBackgorundColor,
                stayEnlightenedTitleFontColor: dto.stayEnlightenedTitleFontColor,
                stayEnlightenedSubTitleFontColor: dto.stayEnlightenedSubTitleFontColor,
                stayEnlightenedButtonColor: dto.stayEnlightenedButtonColor,
                stayEnlightenedButtonTextFontColor: dto.stayEnlightenedButtonTextFontColor,
                stayEnlightenedInputBackgroundColor: dto.stayEnlightenedInputBackgroundColor,
                stayEnlightenedInputBorderColor: dto.stayEnlightenedInputBorderColor,
                stayEnlightenedInputTextColor: dto.stayEnlightenedInputTextColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StayEnlightenedUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}