import { EntityRepository, Repository } from "typeorm";
import { UpdateUserBannerComponentUiDto } from "./dto/update-user-banner-component-ui.dto";
import { UserBannerComponentUiEntity } from "./entities/user-banner-component-ui.entity";

@EntityRepository(UserBannerComponentUiEntity)
export class UserBannerComponentUiRepository extends Repository<UserBannerComponentUiEntity> {

    async createEntity(dto: UpdateUserBannerComponentUiDto): Promise<UserBannerComponentUiEntity | Error> {
        try {
            const entity = this.create({
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonBackgroundColor: dto.buttonBackgroundColor,
                buttonFontColor: dto.buttonFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateUserBannerComponentUiDto, id: string): Promise<UserBannerComponentUiEntity | Error> {
        try {
            await this.update(id, {
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonBackgroundColor: dto.buttonBackgroundColor,
                buttonFontColor: dto.buttonFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<UserBannerComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}