import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { DutchiePlusOrderService } from "./dutchie-plus-order.service";
import { Constants } from "src/utils/constants";

@Controller({
    path: "order",
    version: Constants.API_VERSION_1
})
export class DutchiePlusOrderController {
    constructor(private readonly dutchiePlusOrderService: DutchiePlusOrderService) {
    }

    @Post("/one")
    @HttpCode(HttpStatus.OK)
    fetchOneOrder(@Body() variables: any) {
        return this.dutchiePlusOrderService.fetchOneOrder(variables);
    }

    @Post("/get-by-email")
    @HttpCode(HttpStatus.OK)
    fetchMultipleOrderWithEmail(@Body() variables: any) {
        return this.dutchiePlusOrderService.fetchMultipleOrderWithEmail(variables);
    }

    @Post("/get-by-order-number")
    @HttpCode(HttpStatus.OK)
    fetchMultipleOrderWithOrderNumber(@Body() variables: any) {
        return this.dutchiePlusOrderService.fetchMultipleOrderWithOrderNumber(variables);
    }
}
