import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { HomePageSectionOneController } from "./home-page-section-one.controller";
import { HomePageSectionOneRepository } from "./home-page-section-one.repository";
import { HomePageSectionOneService } from "./home-page-section-one.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionOneRepository])
    ],
    controllers: [HomePageSectionOneController],
    providers: [HomePageSectionOneService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionOneModule {
}
