import { Injectable } from "@nestjs/common";
import axios from "axios";

@Injectable()
export class CartServiceIHeartJaneService {


    async createCart(variables: any) {
        try {
            const apiUrl = `${process.env.IHEARTJANE_API_HOST}/api/roots/carts_api/v1/carts`;
            const config = {
                headers: {
                    "Content-Type": "application/json"
                }
            };
            const data = {
                store_id: variables?.retailerId
            }
            const response = await axios.post(apiUrl, data, config);
            if (response.status === 200) {
                return response.data;
            }
        } catch (e) {
            return e;
        }
    }

    async addItemToCheckout(variables: any) {
        try {
            const apiUrl = `${process.env.IHEARTJANE_API_HOST}/api/roots/carts_api/v1/carts/${variables?.checkoutId}/items`;
            const config = {
                headers: {
                    "Content-Type": "application/json"
                }
            };
            const data = {
                pvid: variables?.pvid,
                quantity: variables?.quantity
            }
            const response = await axios.post(apiUrl, data, config);
            if (response.status === 200) {
                return response.data;
            }
        } catch (e) {
            return e;
        }
    }

    async removeItemFromCheckout(variables: any) {
        try {
            const apiUrl = `${process.env.IHEARTJANE_API_HOST}/api/roots/carts_api/v1/carts/${variables?.checkoutId}/items/${variables?.pvid}`;
            const config = {
                headers: {
                    "Content-Type": "application/json"
                }
            }
            const response = await axios.delete(apiUrl, config);
            if (response.status === 200) {
                return response.data;
            }
        } catch (e) {
            return e;
        }
    }


    async updateQuantity(variables: any) {
        try {
            const apiUrl = `${process.env.IHEARTJANE_API_HOST}/api/roots/carts_api/v1/carts/${variables?.checkoutId}/items/${variables?.pvid}`;
            const config = {
                headers: {
                    "Content-Type": "application/json"
                }
            };
            const data = {
                quantity: variables?.quantity
            }
            const response = await axios.put(apiUrl, data, config);
            if (response.status === 200) {
                return response.data;
            }
        } catch (e) {
            return e;
        }
    }

    async fetchCartDetails(variables: any) {
        try {
            const apiUrl = `${process.env.IHEARTJANE_API_HOST}/api/roots/carts_api/v1/carts/${variables?.checkoutId}`;
            const config = {
                headers: {
                    "Content-Type": "application/json"
                }
            };
            const response = await axios.get(apiUrl, config);
            if (response.status === 200) {
                return response.data;
            }
        } catch (e) {
            return e;
        }
    }
}