import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("retailer_service_iheartjane")
export class RetailerServiceIHeartJane extends CoreEntity {
    @Column({ default: null, nullable: true })
    retailerId: number;

    @Column({ default: null, nullable: true })
    retailerName: string;

    @Column({ default: null, nullable: true })
    full_address: string;

    @Column({ default: null, nullable: true })
    delivery: boolean;

    @Column({ default: null, nullable: true, type: "longtext" })
    description: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    google_map_url: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    hours: string;

    @Column({ default: null, nullable: true, type: 'double' })
    lat: number;

    @Column({ default: null, nullable: true, type: 'double' })
    long: number;

    @Column({ default: null, nullable: true })
    medical: boolean;

    @Column({ default: null, nullable: true })
    phone: string;

    @Column({ default: null, nullable: true })
    photo: string;
    
    @Column({ default: null, nullable: true })
    pickup: boolean;
    
    @Column({ default: null, nullable: true })
    recreational: boolean;

    @Column({ default: null, nullable: true })
    time_zone_identifier: string;

    @Column({ default: null, nullable: true })
    url_slug: string;

    @Column({ default: 0, nullable: true })
    accessCount: number;

    @Column({
        default: "https://dispodutchie.nyc3.cdn.digitaloceanspaces.com/default/retailer_image.png",
        nullable: true
    })
    retailerImage: string;


    @Column({
        default: "https://dispodutchie.nyc3.cdn.digitaloceanspaces.com/default/retailer_image.png",
        nullable: true
    })
    featuredImage: string;


    @Column({ default: null, nullable: true, type: "longtext" })
    alpineIqApiKey: string;

    @Column({ default: null, nullable: true })
    alpineIqUID: string;

    @Column({ default: null, type: 'longtext', nullable: true })
    about: string;

    @Column({ default: "TODAY’S SPECIALS", nullable: true })
    todaysSpecial: string;

    @Column({ default: null, nullable: true })
    email: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    jarsRewards: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    referAFriend: string;

    @Column({ default: null, nullable: true })
    pageTitle: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    schema: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    canonical: string;
}
