import { EntityRepository, Repository } from "typeorm";
import { SendEmail } from "./entity/send-email.entity";

@EntityRepository(SendEmail)
export class SendEmailRepository extends Repository<SendEmail> {
    async createEntity(
      to: any,
      reason: any,
      params: any,
      from: any
    ): Promise<any | Error> {
        try {
            const body = {
                reason: reason,
                to: to,
                body: JSON.stringify(params),
                from: from || ""
            };
            const entity = this.create(body);
            await this.save(entity);

            return entity;
        } catch (e) {
            return e;
        }
    }
}
