import { EntityRepository, Repository } from "typeorm";
import { UpdateShopDealsPageCmsDto } from "./dto/update-shop-deals-page-cms.dto";
import { ShopDealsPageCms } from "./entities/shop-deals-page-cms.entity";

@EntityRepository(ShopDealsPageCms)
export class ShopDealsPageCmsRepository extends Repository<ShopDealsPageCms> {

    async createEntity(dto: UpdateShopDealsPageCmsDto): Promise<ShopDealsPageCms | Error> {
        try {
            const entity = this.create({
                shopDealPageTitle: dto.shopDealPageTitle,
                shopDealPageSubTitle: dto.shopDealPageSubTitle,
                shopDealSectionOneBackgroundImage: dto.shopDealSectionOneBackgroundImage,
                shopDealCategoryTitle: dto.shopDealCategoryTitle,
                shopDealCategoryButtonOneTitle: dto.shopDealCategoryButtonOneTitle,
                shopDealCategoryButtonOneLink: dto.shopDealCategoryButtonOneLink,
                shopDealCategoryButtonTwoTitle: dto.shopDealCategoryButtonTwoTitle,
                shopDealCategoryButtonTwoLink: dto.shopDealCategoryButtonTwoLink,
                shopDealSpecialCategoryTitle: dto.shopDealSpecialCategoryTitle,
                shopDealBannerOneImage: dto.shopDealBannerOneImage,
                shopDealBannerOneLink: dto.shopDealBannerOneLink,
                shopDealBannerTwoDesktopImage: dto.shopDealBannerTwoDesktopImage,
                shopDealBannerTwoMobileImage: dto.shopDealBannerTwoMobileImage,
                shopDealBannerTwoLink: dto.shopDealBannerTwoLink,
                shopDealBannerThreeImage: dto.shopDealBannerThreeImage,
                shopDealBannerThreeLink: dto.shopDealBannerThreeLink,
                shopDealFirstPurchaseBackgoundImage: dto.shopDealFirstPurchaseBackgoundImage,
                shopDealFirstPurchaseTitle: dto.shopDealFirstPurchaseTitle,
                shopDealFirstPurchaseSubTitle: dto.shopDealFirstPurchaseSubTitle,
                shopDealFirstPurchaseButtonText: dto.shopDealFirstPurchaseButtonText,
                shopDealFirstPurchaseButtonLink: dto.shopDealFirstPurchaseButtonLink,
                isDefault: dto.isDefault
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShopDealsPageCmsDto, id: string): Promise<ShopDealsPageCms | Error> {
        try {
            await this.update(id, {
                shopDealPageTitle: dto.shopDealPageTitle,
                shopDealPageSubTitle: dto.shopDealPageSubTitle,
                shopDealSectionOneBackgroundImage: dto.shopDealSectionOneBackgroundImage,
                shopDealCategoryTitle: dto.shopDealCategoryTitle,
                shopDealCategoryButtonOneTitle: dto.shopDealCategoryButtonOneTitle,
                shopDealCategoryButtonOneLink: dto.shopDealCategoryButtonOneLink,
                shopDealCategoryButtonTwoTitle: dto.shopDealCategoryButtonTwoTitle,
                shopDealCategoryButtonTwoLink: dto.shopDealCategoryButtonTwoLink,
                shopDealSpecialCategoryTitle: dto.shopDealSpecialCategoryTitle,
                shopDealBannerOneImage: dto.shopDealBannerOneImage,
                shopDealBannerOneLink: dto.shopDealBannerOneLink,
                shopDealBannerTwoDesktopImage: dto.shopDealBannerTwoDesktopImage,
                shopDealBannerTwoMobileImage: dto.shopDealBannerTwoMobileImage,
                shopDealBannerTwoLink: dto.shopDealBannerTwoLink,
                shopDealBannerThreeImage: dto.shopDealBannerThreeImage,
                shopDealBannerThreeLink: dto.shopDealBannerThreeLink,
                shopDealFirstPurchaseBackgoundImage: dto.shopDealFirstPurchaseBackgoundImage,
                shopDealFirstPurchaseTitle: dto.shopDealFirstPurchaseTitle,
                shopDealFirstPurchaseSubTitle: dto.shopDealFirstPurchaseSubTitle,
                shopDealFirstPurchaseButtonText: dto.shopDealFirstPurchaseButtonText,
                shopDealFirstPurchaseButtonLink: dto.shopDealFirstPurchaseButtonLink,
                isDefault: dto.isDefault
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShopDealsPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}